# Update interview

`PUT /omni/update`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

If upload of front, back side of id or selfie, was not successful after retries,
use this endpoint to specify that additional manual check is needed.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  | Id of onboarding for which data will be updated. If not present, it will be extracted from token. |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string |  | Name of the person obtained from ocr can be updated here. |
| `birthDate` | string |  | Birth date of the person obtained from ocr can be updated here. |
| `address` | string |  | Address of the person obtained from ocr can be updated here. |
| `gender` | string |  | Gender of the person obtained from ocr can be updated here. |
| `manualIdCheckNeeded` | boolean |  | If set to true, indicates that manual check is needed for validating id. |
| `manualSelfieCheckNeeded` | boolean |  | If set to true, indicates that manual check is needed for validating selfie image. |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
